#ifndef OPENSUBTITLES_H
#define OPENSUBTITLES_H
#include <QNetworkAccessManager>
#include <QTimer>
#include "SearchEngine.h"

class OpenSubtitles : public SearchEngine
{
Q_OBJECT
public:
	OpenSubtitles();
	virtual void searchForMovie(QString file);
	virtual void downloadMovie(QString fileName, QString id);
private:
	QString computeMovieHash(QString filename, qint64& fsize);
	void search(QString checksum, qint64 fileSize);
	void performSearch();
	void createSession();
	static void decompressFile(int infd, QString unzipped);
private slots:
	void requestFinished(QNetworkReply* reply);
	void noOperation();
private:
	QNetworkAccessManager* m_network;
	QString m_strChecksum, m_strSession;
	QByteArray m_strLastFunction;
	qint64 m_fileSize;
	QTimer m_timer;
	
	QString m_strFileName; // suggested file name for downloads
};

#endif
