/*
FatRat download manager
http://fatrat.dolezel.info

Copyright (C) 2006-2008 Lubos Dolezel <lubos a dolezel.info>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#include "SettingsSubtitles.h"
#include <fatrat/Settings.h>

SettingsSubtitles::SettingsSubtitles(QWidget* me, QObject* p)
	: QObject(p)
{
	setupUi(me);
}

void SettingsSubtitles::load()
{
	QString lang = getSettingsValue("subtitle_search/languages", "eng").toString();
	if(lang.isEmpty())
		lang = "eng";
	
	lineLanguages->setText(lang);

	bool os = getSettingsValue("subtitle_search/opensubtitles", true).toBool();
	bool sl = getSettingsValue("subtitle_search/sublight", true).toBool();
	checkOpensubtitles->setChecked(os);
	checkSublight->setChecked(sl);
}

void SettingsSubtitles::accepted()
{
	setSettingsValue("subtitle_search/languages", lineLanguages->text());
	setSettingsValue("subtitle_search/opensubtitles", checkOpensubtitles->isChecked());
	setSettingsValue("subtitle_search/sublight", checkSublight->isChecked());
}
