/*
FatRat download manager
http://fatrat.dolezel.info

Copyright (C) 2006-2008 Lubos Dolezel <lubos a dolezel.info>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef SUBTITLESDLG_H
#define SUBTITLESDLG_H
#include <QDialog>
#include <QTimer>
#include "ui_SubtitlesDlg.h"
#include "SearchEngine.h"

class QBuffer;
class QHttp;

class SubtitlesDlg : public QDialog, Ui_SubtitlesDlg
{
Q_OBJECT
public:
	SubtitlesDlg(QWidget* parent);
	virtual ~SubtitlesDlg();
	
	static QWidget* create();
	void search(QString file);
public slots:
	void chooseFile();
	void itemDoubleClicked(QTreeWidgetItem* item);
	
	void moviesFound(QList<SubInfo> movies);
	void error(QString err);
	void downloadDone();
private:
	int m_sel, m_numSearching;
	QList<SearchEngine*> m_engines;
	QTimer m_timer;
};

class SubtitleTreeWidgetItem : public QTreeWidgetItem
{
public:
	SubtitleTreeWidgetItem(QTreeWidget* parent) : QTreeWidgetItem(parent) {}
	
	QString m_id, m_lang, m_format;
	SearchEngine* m_engine;
};

#endif
